import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    id: buttonRect
    width: units.gu(9)
    height: units.gu(6)
    radius: units.gu(1)
    color: buttonMA.pressed ? "#c0c0c0" : "white"

    property alias text: buttonText.text

    signal clicked()
    signal pressAndHold()

    Text {
        id: buttonText
        anchors.centerIn: parent
        color: "#dd4814"
        font.pixelSize: units.gu(3)
    }

    MouseArea {
        id: buttonMA
        anchors.fill: parent
        onClicked: buttonRect.clicked()
        onPressAndHold: buttonRect.pressAndHold();
    }
}
