import QtQuick 2.0
import Ubuntu.Components 0.1

Item {
    width: parent.width
    height: grid.height+units.gu(4)

    Grid {
        id: grid
        columns: 4
        anchors{
            top: parent.top
            topMargin: units.gu(2)
            horizontalCenter: parent.horizontalCenter
        }
        spacing: units.gu(2)

        KeyboardButton {
            text: "7"
            onClicked: formulaPush('7', '7')
        }

        KeyboardButton {
            text: "8"
            onClicked: formulaPush('8', '8')
        }

        KeyboardButton {
            text: "9"
            onClicked: formulaPush('9', '9')
        }

        KeyboardButton {
            text: "÷"
            onClicked: formulaPush('÷', '/')
        }

        KeyboardButton {
            text: "4"
            onClicked: formulaPush('4', '4')
        }

        KeyboardButton {
            text: "5"
            onClicked: formulaPush('5', '5')
        }

        KeyboardButton {
            text: "6"
            onClicked: formulaPush('6', '6')
        }

        KeyboardButton {
            text: "×"
            onClicked: formulaPush('×', '*')
        }

        KeyboardButton {
            text: "1"
            onClicked: formulaPush('1', '1')
        }

        KeyboardButton {
            text: "2"
            onClicked: formulaPush('2', '2')
        }

        KeyboardButton {
            text: "3"
            onClicked: formulaPush('3', '3')
        }

        KeyboardButton {
            text: "+"
            onClicked: formulaPush('+', '+')
        }

        KeyboardButton {
            text: "0"
            onClicked: formulaPush('0', '0')
        }

        KeyboardButton {
            text: "."
            onClicked: formulaPush('.', '.')
        }

        KeyboardButton {
            text: "C"
            onClicked: {
                formulaView.addCurrentToMemory();
                clear();
            }
        }

        KeyboardButton {
            text: "−"
            onClicked: formulaPush('−', '-')
        }

    }
}
